﻿namespace UltraDayViewControlCurrentDayHeader
{
    using System.Drawing;
    using Infragistics.Win;
    using Infragistics.Win.UltraWinSchedule.DayView;

    internal class CF : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
            if(parent is HeadingAreaUIElement)
            {
                var dayHeaderAreaElement = parent.GetDescendant(typeof(DayHeaderUIElement));
                var allDayEventAreaElement = parent.GetDescendant(typeof(AllDayEventAreaUIElement));

                if(dayHeaderAreaElement != null)
                {
                    var height = dayHeaderAreaElement.Rect.Height;
                    dayHeaderAreaElement.Rect = new Rectangle(-1000, -1000, 0, 0);

                    if(allDayEventAreaElement != null)
                    {
                        var allDayEventAreaElementRect = allDayEventAreaElement.Rect;
                        allDayEventAreaElement.Rect = new Rectangle(
                            allDayEventAreaElementRect.X,
                            allDayEventAreaElementRect.Y - height,
                            allDayEventAreaElementRect.Width,
                            allDayEventAreaElementRect.Height + height);
                    }
                }
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
